GET BikePoint/Search/{query}
Returns the current state of all shared bike points matching the search query. The results are provided by fuzzy returning matches based on the station's name, address and city.
Parameters
| Parameter | Example value | Description |
|---|---|---|
| query | Coin Rue de lAlzette |
Search query string to look for shared bike points |
Resource URL
https://api.tfl.lu/v1/BikePoint/Search/{query}
Format
The response will be formatted as a GeoJSON Feature Collection.
Object properties
| Key | Type | Possible values | Description |
|---|---|---|---|
| id | string |
{provider}:{number} |
id of the shared bike point (built from provider and id of provider) |
| open | boolean |
- true- false |
status of the shared bike point (open or closed) |
| name | string |
{name} |
name of the shared bike point (often a POI next to the station or the street name) |
| city | string |
- {city}- NULL |
city in which shared bike point is located (can be null if not provided) |
| address | string |
{address} |
street address of shared bike point |
| photo | string |
- {photo}- NULL |
photo of the shared bike point (only provided by velok for now) |
| docks | integer |
{docks} |
total amount of docks |
| available_bikes | integer |
{available_bikes} |
amount of available bikes which are of type manual |
| available_ebikes | integer |
{available_ebikes} |
amount of available bikes which are of type electric |
| available_docks | integer |
{available_docks} |
amount of free docks at shared bike point |
| last_update | integer |
- {last_update}- NULL |
last update of the data from the shared bike point in Unix time (milliseconds), NULL means realtime |
| dock_status | array |
array of single dock statuses | |
| dock_status.status | string |
- 'free'- 'occupied' |
status of specific dock, can be free or occupied |
| dock_status.bikeType | string |
- 'manual'- 'electric'- NULL |
type of bike attached to dock, NULL if dock is free |
Sample request & response
GET https://api.tfl.lu/v1/BikePoint/Search/Coin%20Rue%20de%20lAlzette
{
"type": "FeatureCollection",
"features": [{
"type": "Feature",
"geometry": {
"type": "Point",
"coordinates": [5.98276, 49.49473]
},
"properties": {
"id": "velok:1",
"open": true,
"name": "Avenue de la Gare",
"city": "Esch-sur-Alzette",
"address": "Coin Rue de l’Alzette",
"photo": "https://webservice.velok.lu/images/photos/1.jpg",
"docks": 7,
"available_bikes": 4,
"available_ebikes": 0,
"available_docks": 3,
"last_update": null,
"dock_status": [{
"status": "occupied",
"bikeType": "manual"
}, {
"status": "free",
"bikeType": null
}, {
"status": "occupied",
"bikeType": "manual"
}, {
"status": "free",
"bikeType": null
}, {
"status": "occupied",
"bikeType": "manual"
}, {
"status": "free",
"bikeType": null
}, {
"status": "occupied",
"bikeType": "manual"
}]
}
}, {
"type": "Feature",
"geometry": {
"type": "Point",
"coordinates": [5.981152, 49.494103]
},
"properties": {
"id": "velok:3",
"open": true,
"name": "Rue de la Libération",
"city": "Esch-sur-Alzette",
"address": "Coin Rue de l’Alzette",
"photo": "https://webservice.velok.lu/images/photos/3.jpg",
"docks": 9,
"available_bikes": 4,
"available_ebikes": 0,
"available_docks": 5,
"last_update": null,
"dock_status": [{
"status": "free",
"bikeType": null
}, {
"status": "free",
"bikeType": null
}, {
"status": "free",
"bikeType": null
}, {
"status": "occupied",
"bikeType": "manual"
}, {
"status": "free",
"bikeType": null
}, {
"status": "free",
"bikeType": null
}, {
"status": "occupied",
"bikeType": "manual"
}, {
"status": "occupied",
"bikeType": "manual"
}, {
"status": "occupied",
"bikeType": "manual"
}]
}
}, {
...
}]
}
License
Please refer to Bikepoint for information about the shared bike point data licensing.
Credits
Made by Daniel Duton & Thierry Degeling from ION Network Solutions.
Sponsored by Digital Lëtzebuerg.
